API referenceBroadcasts

GET /broadcasts/{broadcastId}

A broadcast with its configuration and stats

GET
/broadcasts/{broadcastId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

broadcastId*string

Broadcast id

Response Body

{success, broadcast}

application/json
  1. response
success?boolean
broadcast?
Example Request
curl -X GET 'https://example.com/api/v1/broadcasts/string'
Example Response
{  "success": true,  "broadcast": {    "id": "string",    "name": "string",    "description": "string",    "platform": "whatsapp",    "accountId": "string",    "accountName": "string",    "profileId": "string",    "status": "draft",    "template": {      "name": "string",      "language": "string",      "components": [        {}      ],      "variableMapping": {        "property1": {          "field": "name",          "customValue": "string"        },        "property2": {          "field": "name",          "customValue": "string"        }      }    },    "segmentFilters": {      "tags": [        "string"      ],      "isSubscribed": true,      "customFields": {}    },    "messagePreview": "string",    "scheduledAt": "2019-08-24T14:15:22Z",    "startedAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z",    "recipientCount": 0,    "sentCount": 0,    "deliveredCount": 0,    "readCount": 0,    "failedCount": 0,    "pendingCount": 0,    "lastError": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}